<?php

namespace Drupal\ckeditor_div_manager\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "div" plugin.
 *
 * @CKEditorPlugin(
 *   id = "div",
 *   label = @Translation("Div Container Manager")
 * )
 */
class CKEditorDiv extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return $this->getLibraryPath() . '/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {

    return [
      'CreateDiv' => [
        'label' => $this->t('Div Container Manager'),
        'image' => $this->getLibraryPath() . '/icons/creatediv.png',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

  /**
   * Returns path to library.
   */
  protected function getLibraryPath() {
    if (file_exists(DRUPAL_ROOT . '/libraries/div/plugin.js')) {
      return 'libraries/div';
    }
    return 'libraries/ckeditor/plugins/div';
  }

}
